services:
  emby:
    # image: emby/embyserver
    image: lscr.io/linuxserver/emby:latest
    container_name: embyserver
    networks:
      - traefik
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Copenhagen
    volumes:
      - /srv/emby:/config
      - /home/null/shares:/mnt/share1
    ports:
      - 8096:8096
      - 8920:8920
    devices:
      - /dev/dri:/dev/dri
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.emby.tls=true"
      - "traefik.http.routers.emby.entrypoints=websecure"
      - "traefik.http.routers.emby.rule=Host(`emby.knast.cc`)"
      - "traefik.http.routers.emby.tls.certresolver=letsencr"
      - "traefik.http.services.emby.loadbalancer.server.port=8096"

      # - traefik.http.routers.emby.rule=Host(`emby.$DOMAIN_NAME`)
      # - traefik.http.routers.emby.entrypoints=web
      # - traefik.http.routers.emby.middlewares=tls-redirectscheme


networks:
  traefik:
    external: true
    

